/* body sudah diatur di home.css */

/* typography */
h1 {
  color: #555555;
  font-family: Castoro, serif;
  font-size: 1rem;
  font-weight: 400;
}

p {
  font-size: 0.5em;
  color: #666;
  margin-top: -8px;
}

/* logo */
.logo {
  position: relative;
  width: 80px;
  cursor: pointer;
}

.logo img {
  width: 100%;
  height: auto;
}

/* sticker container */
.sticker-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  gap: 0.2vh;
  margin-top: 0;
  padding: 0;
}

/* canvas container */
#canvasContainer {
  position: relative;
  margin-top: 20px;
  width: 30vw;
  max-width: 90vw;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* mobile */
@media (max-width: 768px) {
  #canvasContainer {
    width: 80vw;
    max-width: 90vw;
  }
}

/* canvas */
canvas {
  width: 100%;
  height: auto;
  background: #fff;
  cursor: grab;
  display: block;
}

/* sticker buttons container */
.sticker-btns {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

.sticker-btns button {
  cursor: pointer;
}

/*  button container */
.button-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 20px;
  padding-top: 2vh;
}

/* buttons */
button {
  font-family: Castoro, serif;
  font-size: 1.2rem;
  font-weight: 400;
  color: var(--main-text);
  background-color: #fff;
  border: 1px solid #1e1e1e;
  border-radius: 0.5rem;
  text-align: center;
  transition: transform 0.2s ease-in-out;
  padding: 0.4rem 0.5rem;
  cursor: pointer;
}

button:hover {
  transform: scale(1.05);
}

/* sticker buttons */
.sticker-btn {
  width: 15%;
  aspect-ratio: 75/60;
  background-size: cover;
  background-position: center;
  background-color: transparent;
  border: none;
  outline: none;
  cursor: pointer;
  margin: 0;
  font-size: 0;
  padding-left: 1vw;
  padding-right: 1vw;
}

/* individual sticker urls */
.fish-btn { background-image: url('/Assets/fish-photobooth/finalpage/fishButton.png'); }
.octopus-btn { background-image: url('/Assets/fish-photobooth/finalpage/octopusButton.png'); }
.seaweed-btn { background-image: url('/Assets/fish-photobooth/finalpage/seaweedButton.png'); }
.axolotl-btn { background-image: url('/Assets/fish-photobooth/finalpage/axolotlButton.png'); }
.bubble-btn { background-image: url('/Assets/fish-photobooth/finalpage/bubbleButton.png'); }
.reset-btn { background-image: url('/Assets/fish-photobooth/finalpage/resetButton.png'); }

/* heading content */
.heading-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  width: 30vw;
  gap: 1rem;
  margin-top: 2vh;
  padding: 0;
}

/* mobile heading */
@media (max-width: 768px) {
  .heading-content {
    width: 90vw;
  }
}

/* menu header */
.menu-header {
  width: 100%;
  aspect-ratio: 517/68;
  background-image: url('/Assets/fish-photobooth/menupage/Header.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  margin: 0;
}